﻿using HeuristicLab.Core;
using HeuristicLab.Data.MoveVectorData;
using HeuristicLab.Optimization;

namespace HeuristicLab.Encodings.MoveVectorEncoding.Interfaces
{
    public interface IMoveVectorCrossover : IMoveVectorOperator, ICrossover
    {
        ILookupParameter<ItemArray<MoveVector>> ParentsParameter { get; }
        ILookupParameter<MoveVector> ChildParameter { get; }
    }
}
